

<%@page import="com.liferay.portlet.asset.service.AssetEntryLocalServiceUtil"%>
<%@page import="com.liferay.portlet.asset.model.AssetEntry"%>
<%@page import="it.tref.liferay.mapit.constants.WebKeys"%>
<%@page import="com.liferay.portlet.asset.model.AssetRenderer"%>
<%@page import="com.liferay.portal.util.PortalUtil"%>
<%@page import="com.liferay.portlet.asset.AssetRendererFactoryRegistryUtil"%>
<%@page import="com.liferay.portlet.asset.model.AssetRendererFactory"%>

<%@include file="/html/map/init.jsp" %>

<%

long classNameId = ParamUtil.getLong(request, "classNameId");
long classPK = ParamUtil.getLong(request, "classPK");

String className = PortalUtil.getClassName(classNameId);

AssetRendererFactory assetRendererFactory = AssetRendererFactoryRegistryUtil.getAssetRendererFactoryByClassName(className);
AssetRenderer assetRenderer = assetRendererFactory.getAssetRenderer(classPK);

String path = assetRenderer.render(renderRequest, renderResponse, AssetRenderer.TEMPLATE_FULL_CONTENT);
%>

<c:choose>
	<c:when test="<%=Validator.isNotNull(path) %>">
	
		<%
		request.setAttribute(WebKeys.ASSET_RENDERER_FACTORY, assetRendererFactory);
		request.setAttribute(WebKeys.ASSET_RENDERER, assetRenderer);
		%>
		
		<liferay-util:include page="<%= path %>" portletId="<%= assetRendererFactory.getPortletId() %>">
			<liferay-util:param name="showHeader" value="<%= Boolean.FALSE.toString() %>" />
		</liferay-util:include>
		
	</c:when>
	<c:otherwise>
	
		<% 
		AssetEntry assetEntry = AssetEntryLocalServiceUtil.getEntry(className, classPK);
		%>
		
		<%= assetEntry.getDescription(locale) %>
		<br />
		<%= assetEntry.getSummary(locale) %>
		
	</c:otherwise>
</c:choose>



